Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1517262 - [UPDATES] ValueError('No JSON object could be decoded')
Summary: [UPDATES] ValueError('No JSON object could be decoded')
Keywords:
Status: CLOSED EOL
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-tripleoclient
Version: 12.0 (Pike)
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 12.0 (Pike)
Assignee: mathieu bultel
QA Contact: Yurii Prokulevych
URL:
Whiteboard:
: 1525259 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-24 12:27 UTC by Yurii Prokulevych
Modified: 2019-01-11 16:26 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-11 16:26:38 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
OpenStack gerrit 525924 None None None 2017-12-06 14:59:46 UTC

Description Yurii Prokulevych 2017-11-24 12:27:01 UTC
Description of problem:
-----------------------
Error message printed at the end of minor update:
openstack overcloud update stack --nodes Controller
Started Mistral Workflow tripleo.package_update.v1.update_nodes. Execution ID: 5b585b93-6d70-44d3-b8e2-547b809ce34b
[u"[DEPRECATION WARNING]: The use of 'include' for tasks has been deprecated. Use ",
 u"'import_tasks' for static inclusions or 'include_tasks' for dynamic inclusions.",
 u' This feature will be removed in a future release. Deprecation warnings can be ',
 u'disabled by setting deprecation_warnings=False in ansible.cfg.',
 u'[DEPRECATION WARNING]: include is kept for backwards compatibility but usage is',
 u' discouraged. The module documentation details page may explain more about this',
 u' rationale.. This feature will be removed in a future release. Deprecation ',
 u'warnings can be disabled by setting deprecation_warnings=False in ansible.cfg.',
 u'',
 u'PLAY [overcloud] ***************************************************************',
 u'',

...
u'PLAY RECAP *********************************************************************',
 u'192.168.24.15              : ok=96   changed=52   unreachable=0    failed=1   ',
 u'192.168.24.17              : ok=114  changed=56   unreachable=0    failed=0   ',
 u'']
('Response is not a JSON object.', ValueError('No JSON object could be decoded',))


Version-Release number of selected component (if applicable):
-------------------------------------------------------------
openstack-tripleo-validations-7.4.2-1.el7ost.noarch
openstack-tripleo-common-7.6.3-4.el7ost.noarch
python-tripleoclient-7.3.3-5.el7ost.noarch
puppet-tripleo-7.4.3-8.el7ost.noarch
openstack-tripleo-ui-7.4.3-4.el7ost.noarch
openstack-tripleo-image-elements-7.0.1-1.el7ost.noarch
openstack-tripleo-heat-templates-7.0.3-12.el7ost.noarch
openstack-tripleo-puppet-elements-7.0.1-1.el7ost.noarch
openstack-tripleo-common-containers-7.6.3-4.el7ost.noarch

python-mistral-5.2.0-1.el7ost.noarch
openstack-mistral-executor-5.2.0-1.el7ost.noarch
python-mistralclient-3.1.3-2.el7ost.noarch
python-mistral-lib-0.3.1-1.el7ost.noarch
openstack-mistral-common-5.2.0-1.el7ost.noarch
openstack-mistral-engine-5.2.0-1.el7ost.noarch
openstack-mistral-api-5.2.0-1.el7ost.noarch
puppet-mistral-11.3.1-0.20170825184651.cf2e493.el7ost.noarch

Steps to Reproduce:
-------------------
1. Run minor update on any group of oc hosts(controller/compute/etc)

Comment 2 mathieu bultel 2017-12-06 14:59:46 UTC
The review attached should fix the issue.
Since its not a blocker and I don't think we will be able to backport it into stable/pike, I think its sane to target this bug to OSP 13

Comment 4 Pradeep Kilambi 2018-02-01 14:54:53 UTC
*** Bug 1525259 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.